SERCOM_USART_LENGTH_Type Union Reference

## Data Fields

struct {
uint16_t LEN:8
uint16_t LENEN:2
uint16_t __pad0__:6
} | bit
uint16_t | reg

## Detailed Description

Definition at line 1336 of file sercom.h.

## Field Documentation

## __pad0__

uint16_t SERCOM_USART_LENGTH_Type::__pad0__

bit: 10..15 Reserved

Definition at line 1340 of file sercom.h.

## bit

struct { ... } SERCOM_USART_LENGTH_Type::bit

Structure used for bit access

## LEN

uint16_t SERCOM_USART_LENGTH_Type::LEN

bit: 0.. 7 Data Length

Definition at line 1338 of file sercom.h.

## LENEN

uint16_t SERCOM_USART_LENGTH_Type::LENEN

bit: 8.. 9 Data Length Enable

Definition at line 1339 of file sercom.h.

## reg

uint16_t SERCOM_USART_LENGTH_Type::reg

Type used for register access

Definition at line 1342 of file sercom.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/sercom.h